#! /usr/bin/env python
import sys,os
class Bash2PyException(Exception):
  def __init__(self, value=None):
    self.value = value
  def __str__(self):
    return repr(self.value)

class Bash2Py(object):
  __slots__ = ["val"]
  def __init__(self, value=''):
    self.val = value
  def setValue(self, value=None):
    self.val = value
    return value

def GetVariable(name, local=locals()):
  if name in local:
    return local[name]
  if name in globals():
    return globals()[name]
  return None

def Make(name, local=locals()):
  ret = GetVariable(name, local)
  if ret is None:
    ret = Bash2Py(0)
    globals()[name] = ret
  return ret

class Expand(object):
  @staticmethod
  def at():
    if (len(sys.argv) < 2):
      return []
    return  sys.argv[1:]
  @staticmethod
  def star(in_quotes):
    if (in_quotes):
      if (len(sys.argv) < 2):
        return ""
      return " ".join(sys.argv[1:])
    return Expand.at()
  @staticmethod
  def indicesAt(name):
    raise Bash2PyException("${!name[@]}  unsupported")
    return ''

# if no args
if (Expand.star(1) == '' ):
    # get the date as "hours(12) minutes" in a single call
    # make a bash array with it
    Make("d").setValue("("+os.popen("date \"+%I %M\"").read().rstrip("\n")+")")
    # separate hours and minutes
    Make("hour").setValue(d.val[0] ]#0)
    # remove leading 0 or values <10 will be interpreted as octal
    Make("min").setValue(d.val[1] ]#0)
else:
    # get the arguments passed to the script
    Make("hour").setValue(sys.argv[1]#0)
    Make("min").setValue(sys.argv[2]#0)
plain=Bash2Py("(🕐 🕑 🕒 🕓 🕔 🕕 🕖 🕗 🕘 🕙 🕚 🕛)")
half=Bash2Py("(🕜 🕝 🕞 🕟 🕠 🕡 🕢 🕣 🕤 🕥 🕦 🕧)")
# array index starts at 0
hi=Bash2Py((hour.val - 1))
if (int(min.val) < 15 ):
    print(plain.val[hi.val] ],end="")
elif (int(min.val) < 45 ):
    print(half.val[hi.val] ],end="")
else:
    print(plain.val[(hi.val + 1)] ],end="")
